// hide arrows if there is one image

// var cards = document.getElementsByClassName("card");

// for (var i = 0; i < cards.length; i++) {
//     var gallery = cards[i].getElementsByClassName("carousel-item");
//     var slidersLeft = cards[i].getElementsByClassName("carousel-control-prev");
//     var slidersRight = cards[i].getElementsByClassName("carousel-control-next");

//     if (gallery.length == 1) {
//         for (var j = 0; j < slidersLeft.length; j++) {
//             slidersLeft[j].style.display = "none";
//         }

//         for (var j = 0; j < slidersRight.length; j++) {
//             slidersRight[j].style.display = "none";
//         }
//     }
// }

// var thumbnails = document.getElementsByClassName("thumbnail");
//         var slideLeft = document.getElementById("slideLeft");
//         var slideRight = document.getElementById("slideRight");

//         if (thumbnails.length === 0) {
//             slideLeft.style.display = "none";
//             slideRight.style.display = "none";
//         }






// for animation
AOS.init();


/*scroll animation*/
function reveal() {
    var reveals = document.querySelectorAll(".reveal");

    for (var i = 0; i < reveals.length; i++) {
        var windowHeight = window.innerHeight;
        var elementTop = reveals[i].getBoundingClientRect().top;
        var elementVisible = 150;

        if (elementTop < windowHeight - elementVisible) {
            reveals[i].classList.add("active");
        } else {
            reveals[i].classList.remove("active");
        }
    }
}

window.addEventListener("scroll", reveal);




//change icon
function changeToggle(anchor) {
    var icon = anchor.querySelector("i");
    icon.classList.toggle('fa-bars-staggered');
    icon.classList.toggle('fa-xmark');

}

function changeIcon(anchor) {
    var icon = anchor.querySelector("i");
    icon.classList.toggle('fa-circle-plus');
    icon.classList.toggle('fa-circle-minus');

}



// Function to hide arrows and pagination if there is only one slide
function hideControlsIfSingleSlide() {
    var slides = document.querySelectorAll('.slideshow .slide');
    var arrows = document.querySelector('.slideshow .arrows');
    var pagination = document.querySelector('.slideshow .pagination');

    if (slides.length <= 1) {
        if (arrows) arrows.style.display = 'none';
        if (pagination) pagination.style.display = 'none';
    }
}

// Call the function on page load
document.addEventListener('DOMContentLoaded', hideControlsIfSingleSlide);





//side menu

document.addEventListener("DOMContentLoaded", function () {
    let navbarToggler = document.getElementsByClassName("navbar-toggler")[0];
    let menuButton = document.getElementsByClassName("menu-toggle")[0];
    let sideMenu = document.getElementsByClassName("side-menu")[0];

    // Open side menu when navbar-toggler is clicked
    navbarToggler.addEventListener("click", function () {
        // Add the 'show' class to display the side menu with fade-in-right effect
        sideMenu.classList.add("show");
        sideMenu.classList.remove("hide");
    });

    // Close side menu when menu-toggle is clicked
    menuButton.addEventListener("click", function () {
        // Add the 'hide' class to hide the side menu with fade-out-right effect
        sideMenu.classList.add("hide");
        sideMenu.classList.remove("show");
    });
});




// add attribute lazy
var iframe = document.createElement('iframe');
iframe.loading = 'lazy';




//count numbers
const counters = document.querySelectorAll('.value');
const speed = 200;

counters.forEach(counter => {
    const animate = () => {
        const value = +counter.getAttribute('akhi');
        const data = +counter.innerText;

        const time = value / speed;
        if (data < value) {
            counter.innerText = Math.ceil(data + time);
            setTimeout(animate, 1);
        } else {
            counter.innerText = value;
        }

    }

    animate();
});





// scroll button back to top

var btn = $('#button');

$(window).scroll(function () {
    if ($(window).scrollTop() > 300) {
        btn.addClass('show');
    } else {
        btn.removeClass('show');
    }
});

btn.on('click', function (e) {
    e.preventDefault();
    $('html, body').animate({ scrollTop: 0 }, '300');
});